javax.activation

## Interface DataContentHandlerFactory

    public interface DataContentHandlerFactory

This interface defines a factory for `DataContentHandlers`. An implementation of this interface should map a MIME type into an instance of DataContentHandler. The design pattern for classes implementing this interface is the same as for the ContentHandler mechanism used in `java.net.URL`.

Since:
  1.6

### Method Summary

All Methods Instance Methods Abstract Methods
`DataContentHandler` `createDataContentHandler(String mimeType)` Creates a new DataContentHandler object for the MIME type.

### Method Detail

#### createDataContentHandler

    DataContentHandler createDataContentHandler(String mimeType)

Creates a new DataContentHandler object for the MIME type.

Parameters:
  `mimeType` - the MIME type to create the DataContentHandler for.
Returns:
  The new `DataContentHandler`, or null if none are found.